GNU bug report logs - #22516
25.0.90; xwidget-webkit can't input into new HTML5 input types

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Emanuel Evans <mail@HIDDEN>; merged with #22513, #22515; dated Mon, 1 Feb 2016 05:22:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Merged 22513 22515 22516. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 22515 22516. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 1 Feb 2016 05:21:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Feb 01 00:21:03 2016
Received: from localhost ([127.0.0.1]:43813 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1aQ6v8-0002Vu-VT
	for submit <at> debbugs.gnu.org; Mon, 01 Feb 2016 00:21:03 -0500
Received: from eggs.gnu.org ([208.118.235.92]:47755)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <mail@HIDDEN>) id 1aQ6Hx-0001Yl-6O
 for submit <at> debbugs.gnu.org; Sun, 31 Jan 2016 23:40:34 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <mail@HIDDEN>) id 1aQ6Ho-0007Jm-W6
 for submit <at> debbugs.gnu.org; Sun, 31 Jan 2016 23:40:28 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,T_DKIM_INVALID
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:39399)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <mail@HIDDEN>) id 1aQ6Ho-0007Ji-Sa
 for submit <at> debbugs.gnu.org; Sun, 31 Jan 2016 23:40:24 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:38722)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <mail@HIDDEN>) id 1aQ6Hl-0008Vj-Ck
 for bug-gnu-emacs@HIDDEN; Sun, 31 Jan 2016 23:40:24 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <mail@HIDDEN>) id 1aQ6Hi-0007Iz-0k
 for bug-gnu-emacs@HIDDEN; Sun, 31 Jan 2016 23:40:21 -0500
Received: from bravos.emanuel.industries ([45.55.16.62]:50702)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <mail@HIDDEN>) id 1aQ6Hh-0007Iu-LU
 for bug-gnu-emacs@HIDDEN; Sun, 31 Jan 2016 23:40:17 -0500
Received: from localhost (c-50-174-100-167.hsd1.ca.comcast.net
 [50.174.100.167])
 by bravos.emanuel.industries (Postfix) with ESMTPSA id 5B3F460102
 for <bug-gnu-emacs@HIDDEN>; Sun, 31 Jan 2016 23:40:17 -0500 (EST)
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; d=emanuel.industries;
 s=mail; t=1454301617;
 bh=oDdFyx3y2xtAgsSJ5qCOyRzvMk/RJSJQdoRo7iZUePg=;
 h=From:To:Subject:Date;
 b=JYCocK4gc8WMFZRn9Xm62tgyT4smLMD0Yed0koeOf6lXUlA9+/1MniFIOBaMRqf46
 rxLadFYGp8WxezcKNgdoUqnBbyXW4ZO0Rqj6ufz67760yyBE/Y97b1eJnBqdWnmtq3
 2NnwSrWhR2UFNhGQR7UvCDqnKAOqkQEYQ2rC/iNI=
From: Emanuel Evans <mail@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 25.0.90; xwidget-webkit can't input into new HTML5 input types
Date: Sun, 31 Jan 2016 20:40:10 -0800
Message-ID: <87powht55h.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Mon, 01 Feb 2016 00:21:01 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)


It looks like xwidget-webkit can't currently input text into HTML5 input
types other than "text", "password", and "textarea". Steps to reproduce:

1. emacs -Q

2. M-x xwidget-webkit-browse-url

2. Go to http://files.emanuel.industries/forms.html

3. Mouse over text fields and try to enter data into them using RETURN.

4. Notice that only the input labeled "Text" actually works.

The fix looks pretty straightforward; I'll try to get a patch ready
shortly.



In GNU Emacs 25.0.90.3 (x86_64-unknown-linux-gnu, GTK+ Version 3.18.7)
 of 2016-01-31 built on cersei
Repository revision: 7b14da444e6ad0eae1eb6c0dde870a84257d6283
Windowing system distributor 'The X.Org Foundation', version 11.0.11800000
System Description:	Arch Linux

Configured using:
 'configure --prefix=/usr --sysconfdir=/etc --libexecdir=/usr/lib
 --localstatedir=/var --mandir=/usr/share/man
 --pdfdir=/usr/share/doc/emacs/pdf --with-sound=alsa --without-gconf
 --with-x-toolkit=gtk3 --with-xft --with-xwidgets 'CFLAGS=-march=x86-64
 -mtune=generic -O2 -pipe -fstack-protector-strong'
 LDFLAGS=-Wl,-O1,--sort-common,--as-needed,-z,relro
 CPPFLAGS=-D_FORTIFY_SOURCE=2'

Configured features:
XPM JPEG TIFF GIF PNG RSVG IMAGEMAGICK SOUND GPM DBUS GSETTINGS NOTIFY
ACL GNUTLS LIBXML2 FREETYPE M17N_FLT LIBOTF XFT ZLIB TOOLKIT_SCROLL_BARS
GTK3 X11 XWIDGETS

Important settings:
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix

Major mode: EShell

Minor modes in effect:
  yas-global-mode: t
  yas-minor-mode: t
  global-rbenv-mode: t
  projectile-global-mode: t
  projectile-mode: t
  global-pretty-mode: t
  display-battery-mode: t
  display-time-mode: t
  flx-ido-mode: t
  ido-ubiquitous-mode: t
  global-evil-matchit-mode: t
  evil-matchit-mode: t
  dirtrack-mode: t
  delete-selection-mode: t
  global-auto-revert-mode: t
  global-subword-mode: t
  subword-mode: t
  global-edit-server-edit-mode: t
  global-discover-mode: t
  discover-mode: t
  company-statistics-mode: t
  global-evil-surround-mode: t
  evil-surround-mode: t
  evil-mode: t
  evil-local-mode: t
  global-undo-tree-mode: t
  undo-tree-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  global-visual-line-mode: t
  transient-mark-mode: t

Recent messages:
Loading em-unix...done
Emacs ready!
Total elapsed: 2.406784951
[yas] Loading for `emacs-lisp-mode', just-in-time: (lambda nil (yas--load-directory-1 (quote /home/shosti/.emacs.d/snippets/emacs-lisp-mode) (quote emacs-lisp-mode)))!
[yas] Loading compiled snippets from /home/shosti/.emacs.d/snippets/emacs-lisp-mode
[yas] Loading for `text-mode', just-in-time: (lambda nil (yas--load-directory-1 (quote /home/shosti/.emacs.d/snippets/text-mode) (quote text-mode)))!
[yas] Loading compiled snippets from /home/shosti/.emacs.d/snippets/text-mode
Starting Emacs daemon.
Restarting server
When done with this frame, type C-x 5 0

Load-path shadows:
/home/shosti/.emacs.d/elpa/helm-20160126.1110/helm-multi-match hides /home/shosti/.emacs.d/elpa/helm-core-20160126.1014/helm-multi-match
/home/shosti/.emacs.d/elpa/emms-20151211.1153/emms-browser hides /usr/share/emacs/site-lisp/emms/emms-browser
/home/shosti/.emacs.d/elpa/emms-20151211.1153/emms-info hides /usr/share/emacs/site-lisp/emms/emms-info
/home/shosti/.emacs.d/elpa/emms-20151211.1153/emms-metaplaylist-mode hides /usr/share/emacs/site-lisp/emms/emms-metaplaylist-mode
/home/shosti/.emacs.d/elpa/emms-20151211.1153/emms-librefm-scrobbler hides /usr/share/emacs/site-lisp/emms/emms-librefm-scrobbler
/home/shosti/.emacs.d/elpa/emms-20151211.1153/emms-mode-line hides /usr/share/emacs/site-lisp/emms/emms-mode-line
/home/shosti/.emacs.d/elpa/emms-20151211.1153/tq hides /usr/share/emacs/site-lisp/emms/tq
/home/shosti/.emacs.d/elpa/emms-20151211.1153/emms-score hides /usr/share/emacs/site-lisp/emms/emms-score
/home/shosti/.emacs.d/elpa/emms-20151211.1153/emms-streams hides /usr/share/emacs/site-lisp/emms/emms-streams
/home/shosti/.emacs.d/elpa/emms-20151211.1153/emms-player-mplayer hides /usr/share/emacs/site-lisp/emms/emms-player-mplayer
/home/shosti/.emacs.d/elpa/emms-20151211.1153/emms-info-ogginfo hides /usr/share/emacs/site-lisp/emms/emms-info-ogginfo
/home/shosti/.emacs.d/elpa/emms-20151211.1153/later-do hides /usr/share/emacs/site-lisp/emms/later-do
/home/shosti/.emacs.d/elpa/emms-20151211.1153/emms-info-mp3info hides /usr/share/emacs/site-lisp/emms/emms-info-mp3info
/home/shosti/.emacs.d/elpa/emms-20151211.1153/emms-bookmarks hides /usr/share/emacs/site-lisp/emms/emms-bookmarks
/home/shosti/.emacs.d/elpa/emms-20151211.1153/emms-lyrics hides /usr/share/emacs/site-lisp/emms/emms-lyrics
/home/shosti/.emacs.d/elpa/emms-20151211.1153/emms-source-playlist hides /usr/share/emacs/site-lisp/emms/emms-source-playlist
/home/shosti/.emacs.d/elpa/emms-20151211.1153/emms-player-simple hides /usr/share/emacs/site-lisp/emms/emms-player-simple
/home/shosti/.emacs.d/elpa/emms-20151211.1153/emms-playlist-mode hides /usr/share/emacs/site-lisp/emms/emms-playlist-mode
/home/shosti/.emacs.d/elpa/emms-20151211.1153/emms-player-mpd hides /usr/share/emacs/site-lisp/emms/emms-player-mpd
/home/shosti/.emacs.d/elpa/emms-20151211.1153/emms-last-played hides /usr/share/emacs/site-lisp/emms/emms-last-played
/home/shosti/.emacs.d/elpa/emms-20151211.1153/emms-mark hides /usr/share/emacs/site-lisp/emms/emms-mark
/home/shosti/.emacs.d/elpa/emms-20151211.1153/emms-mode-line-icon hides /usr/share/emacs/site-lisp/emms/emms-mode-line-icon
/home/shosti/.emacs.d/elpa/emms-20151211.1153/emms hides /usr/share/emacs/site-lisp/emms/emms
/home/shosti/.emacs.d/elpa/emms-20151211.1153/emms-cue hides /usr/share/emacs/site-lisp/emms/emms-cue
/home/shosti/.emacs.d/elpa/emms-20151211.1153/emms-compat hides /usr/share/emacs/site-lisp/emms/emms-compat
/home/shosti/.emacs.d/elpa/emms-20151211.1153/emms-playlist-sort hides /usr/share/emacs/site-lisp/emms/emms-playlist-sort
/home/shosti/.emacs.d/elpa/emms-20151211.1153/emms-player-mpg321-remote hides /usr/share/emacs/site-lisp/emms/emms-player-mpg321-remote
/home/shosti/.emacs.d/elpa/emms-20151211.1153/emms-i18n hides /usr/share/emacs/site-lisp/emms/emms-i18n
/home/shosti/.emacs.d/elpa/emms-20151211.1153/emms-librefm-stream hides /usr/share/emacs/site-lisp/emms/emms-librefm-stream
/home/shosti/.emacs.d/elpa/emms-20151211.1153/emms-stream-info hides /usr/share/emacs/site-lisp/emms/emms-stream-info
/home/shosti/.emacs.d/elpa/emms-20151211.1153/emms-url hides /usr/share/emacs/site-lisp/emms/emms-url
/home/shosti/.emacs.d/elpa/emms-20151211.1153/emms-playlist-limit hides /usr/share/emacs/site-lisp/emms/emms-playlist-limit
/home/shosti/.emacs.d/elpa/emms-20151211.1153/emms-tag-editor hides /usr/share/emacs/site-lisp/emms/emms-tag-editor
/home/shosti/.emacs.d/elpa/emms-20151211.1153/emms-player-xine hides /usr/share/emacs/site-lisp/emms/emms-player-xine
/home/shosti/.emacs.d/elpa/emms-20151211.1153/emms-info-metaflac hides /usr/share/emacs/site-lisp/emms/emms-info-metaflac
/home/shosti/.emacs.d/elpa/emms-20151211.1153/emms-volume hides /usr/share/emacs/site-lisp/emms/emms-volume
/home/shosti/.emacs.d/elpa/emms-20151211.1153/emms-info-libtag hides /usr/share/emacs/site-lisp/emms/emms-info-libtag
/home/shosti/.emacs.d/elpa/emms-20151211.1153/emms-cache hides /usr/share/emacs/site-lisp/emms/emms-cache
/home/shosti/.emacs.d/elpa/emms-20151211.1153/emms-volume-amixer hides /usr/share/emacs/site-lisp/emms/emms-volume-amixer
/home/shosti/.emacs.d/elpa/emms-20151211.1153/emms-setup hides /usr/share/emacs/site-lisp/emms/emms-setup
/home/shosti/.emacs.d/elpa/emms-20151211.1153/emms-source-file hides /usr/share/emacs/site-lisp/emms/emms-source-file
/home/shosti/.emacs.d/elpa/emms-20151211.1153/emms-playing-time hides /usr/share/emacs/site-lisp/emms/emms-playing-time
/home/shosti/.emacs.d/elpa/emms-20151211.1153/jack hides /usr/share/emacs/site-lisp/emms/jack
/home/shosti/.emacs.d/elpa/emms-20151211.1153/emms-history hides /usr/share/emacs/site-lisp/emms/emms-history
/home/shosti/.emacs.d/elpa/emms-20151211.1153/emms-player-vlc hides /usr/share/emacs/site-lisp/emms/emms-player-vlc
/home/shosti/.emacs.d/elpa/emms-20151211.1153/emms-maint hides /usr/share/emacs/site-lisp/emms/emms-maint
/home/shosti/.emacs.d/elpa/org-plus-contrib-20160125/org-mhe hides /usr/share/emacs/25.0.90/lisp/org/org-mhe
/home/shosti/.emacs.d/elpa/org-plus-contrib-20160125/ox-ascii hides /usr/share/emacs/25.0.90/lisp/org/ox-ascii
/home/shosti/.emacs.d/elpa/org-plus-contrib-20160125/ox-icalendar hides /usr/share/emacs/25.0.90/lisp/org/ox-icalendar
/home/shosti/.emacs.d/elpa/org-plus-contrib-20160125/org-attach hides /usr/share/emacs/25.0.90/lisp/org/org-attach
/home/shosti/.emacs.d/elpa/org-plus-contrib-20160125/org-irc hides /usr/share/emacs/25.0.90/lisp/org/org-irc
/home/shosti/.emacs.d/elpa/org-plus-contrib-20160125/ob-maxima hides /usr/share/emacs/25.0.90/lisp/org/ob-maxima
/home/shosti/.emacs.d/elpa/org-plus-contrib-20160125/ob-lilypond hides /usr/share/emacs/25.0.90/lisp/org/ob-lilypond
/home/shosti/.emacs.d/elpa/org-plus-contrib-20160125/ox-org hides /usr/share/emacs/25.0.90/lisp/org/ox-org
/home/shosti/.emacs.d/elpa/org-plus-contrib-20160125/ob-C hides /usr/share/emacs/25.0.90/lisp/org/ob-C
/home/shosti/.emacs.d/elpa/org-plus-contrib-20160125/ob-eval hides /usr/share/emacs/25.0.90/lisp/org/ob-eval
/home/shosti/.emacs.d/elpa/org-plus-contrib-20160125/ob-asymptote hides /usr/share/emacs/25.0.90/lisp/org/ob-asymptote
/home/shosti/.emacs.d/elpa/org-plus-contrib-20160125/ob-clojure hides /usr/share/emacs/25.0.90/lisp/org/ob-clojure
/home/shosti/.emacs.d/elpa/org-plus-contrib-20160125/org-indent hides /usr/share/emacs/25.0.90/lisp/org/org-indent
/home/shosti/.emacs.d/elpa/org-plus-contrib-20160125/ob-picolisp hides /usr/share/emacs/25.0.90/lisp/org/ob-picolisp
/home/shosti/.emacs.d/elpa/org-plus-contrib-20160125/ob-awk hides /usr/share/emacs/25.0.90/lisp/org/ob-awk
/home/shosti/.emacs.d/elpa/org-plus-contrib-20160125/ob-mscgen hides /usr/share/emacs/25.0.90/lisp/org/ob-mscgen
/home/shosti/.emacs.d/elpa/org-plus-contrib-20160125/ob-comint hides /usr/share/emacs/25.0.90/lisp/org/ob-comint
/home/shosti/.emacs.d/elpa/org-plus-contrib-20160125/ox-latex hides /usr/share/emacs/25.0.90/lisp/org/ox-latex
/home/shosti/.emacs.d/elpa/org-plus-contrib-20160125/org-compat hides /usr/share/emacs/25.0.90/lisp/org/org-compat
/home/shosti/.emacs.d/elpa/org-plus-contrib-20160125/ox-publish hides /usr/share/emacs/25.0.90/lisp/org/ox-publish
/home/shosti/.emacs.d/elpa/org-plus-contrib-20160125/org-clock hides /usr/share/emacs/25.0.90/lisp/org/org-clock
/home/shosti/.emacs.d/elpa/org-plus-contrib-20160125/ob-css hides /usr/share/emacs/25.0.90/lisp/org/ob-css
/home/shosti/.emacs.d/elpa/org-plus-contrib-20160125/ob-lisp hides /usr/share/emacs/25.0.90/lisp/org/ob-lisp
/home/shosti/.emacs.d/elpa/org-plus-contrib-20160125/org-bbdb hides /usr/share/emacs/25.0.90/lisp/org/org-bbdb
/home/shosti/.emacs.d/elpa/org-plus-contrib-20160125/org-mouse hides /usr/share/emacs/25.0.90/lisp/org/org-mouse
/home/shosti/.emacs.d/elpa/org-plus-contrib-20160125/ob-R hides /usr/share/emacs/25.0.90/lisp/org/ob-R
/home/shosti/.emacs.d/elpa/org-plus-contrib-20160125/ob hides /usr/share/emacs/25.0.90/lisp/org/ob
/home/shosti/.emacs.d/elpa/org-plus-contrib-20160125/ob-emacs-lisp hides /usr/share/emacs/25.0.90/lisp/org/ob-emacs-lisp
/home/shosti/.emacs.d/elpa/org-plus-contrib-20160125/ob-ditaa hides /usr/share/emacs/25.0.90/lisp/org/ob-ditaa
/home/shosti/.emacs.d/elpa/org-plus-contrib-20160125/org-src hides /usr/share/emacs/25.0.90/lisp/org/org-src
/home/shosti/.emacs.d/elpa/org-plus-contrib-20160125/ox-html hides /usr/share/emacs/25.0.90/lisp/org/ox-html
/home/shosti/.emacs.d/elpa/org-plus-contrib-20160125/ox-man hides /usr/share/emacs/25.0.90/lisp/org/ox-man
/home/shosti/.emacs.d/elpa/org-plus-contrib-20160125/ob-io hides /usr/share/emacs/25.0.90/lisp/org/ob-io
/home/shosti/.emacs.d/elpa/org-plus-contrib-20160125/ob-octave hides /usr/share/emacs/25.0.90/lisp/org/ob-octave
/home/shosti/.emacs.d/elpa/org-plus-contrib-20160125/ob-dot hides /usr/share/emacs/25.0.90/lisp/org/ob-dot
/home/shosti/.emacs.d/elpa/org-plus-contrib-20160125/ob-tangle hides /usr/share/emacs/25.0.90/lisp/org/ob-tangle
/home/shosti/.emacs.d/elpa/org-plus-contrib-20160125/org-habit hides /usr/share/emacs/25.0.90/lisp/org/org-habit
/home/shosti/.emacs.d/elpa/org-plus-contrib-20160125/ox hides /usr/share/emacs/25.0.90/lisp/org/ox
/home/shosti/.emacs.d/elpa/org-plus-contrib-20160125/ox-texinfo hides /usr/share/emacs/25.0.90/lisp/org/ox-texinfo
/home/shosti/.emacs.d/elpa/org-plus-contrib-20160125/org-info hides /usr/share/emacs/25.0.90/lisp/org/org-info
/home/shosti/.emacs.d/elpa/org-plus-contrib-20160125/org-macs hides /usr/share/emacs/25.0.90/lisp/org/org-macs
/home/shosti/.emacs.d/elpa/org-plus-contrib-20160125/ob-ruby hides /usr/share/emacs/25.0.90/lisp/org/ob-ruby
/home/shosti/.emacs.d/elpa/org-plus-contrib-20160125/org hides /usr/share/emacs/25.0.90/lisp/org/org
/home/shosti/.emacs.d/elpa/org-plus-contrib-20160125/ob-calc hides /usr/share/emacs/25.0.90/lisp/org/ob-calc
/home/shosti/.emacs.d/elpa/org-plus-contrib-20160125/ob-table hides /usr/share/emacs/25.0.90/lisp/org/ob-table
/home/shosti/.emacs.d/elpa/org-plus-contrib-20160125/ob-python hides /usr/share/emacs/25.0.90/lisp/org/ob-python
/home/shosti/.emacs.d/elpa/org-plus-contrib-20160125/org-element hides /usr/share/emacs/25.0.90/lisp/org/org-element
/home/shosti/.emacs.d/elpa/org-plus-contrib-20160125/ob-core hides /usr/share/emacs/25.0.90/lisp/org/ob-core
/home/shosti/.emacs.d/elpa/org-plus-contrib-20160125/org-plot hides /usr/share/emacs/25.0.90/lisp/org/org-plot
/home/shosti/.emacs.d/elpa/org-plus-contrib-20160125/org-archive hides /usr/share/emacs/25.0.90/lisp/org/org-archive
/home/shosti/.emacs.d/elpa/org-plus-contrib-20160125/ob-keys hides /usr/share/emacs/25.0.90/lisp/org/ob-keys
/home/shosti/.emacs.d/elpa/org-plus-contrib-20160125/org-capture hides /usr/share/emacs/25.0.90/lisp/org/org-capture
/home/shosti/.emacs.d/elpa/org-plus-contrib-20160125/org-pcomplete hides /usr/share/emacs/25.0.90/lisp/org/org-pcomplete
/home/shosti/.emacs.d/elpa/org-plus-contrib-20160125/org-bibtex hides /usr/share/emacs/25.0.90/lisp/org/org-bibtex
/home/shosti/.emacs.d/elpa/org-plus-contrib-20160125/org-feed hides /usr/share/emacs/25.0.90/lisp/org/org-feed
/home/shosti/.emacs.d/elpa/org-plus-contrib-20160125/ob-plantuml hides /usr/share/emacs/25.0.90/lisp/org/ob-plantuml
/home/shosti/.emacs.d/elpa/org-plus-contrib-20160125/org-docview hides /usr/share/emacs/25.0.90/lisp/org/org-docview
/home/shosti/.emacs.d/elpa/org-plus-contrib-20160125/ob-matlab hides /usr/share/emacs/25.0.90/lisp/org/ob-matlab
/home/shosti/.emacs.d/elpa/org-plus-contrib-20160125/org-eshell hides /usr/share/emacs/25.0.90/lisp/org/org-eshell
/home/shosti/.emacs.d/elpa/org-plus-contrib-20160125/ob-java hides /usr/share/emacs/25.0.90/lisp/org/ob-java
/home/shosti/.emacs.d/elpa/org-plus-contrib-20160125/org-crypt hides /usr/share/emacs/25.0.90/lisp/org/org-crypt
/home/shosti/.emacs.d/elpa/org-plus-contrib-20160125/ob-perl hides /usr/share/emacs/25.0.90/lisp/org/ob-perl
/home/shosti/.emacs.d/elpa/org-plus-contrib-20160125/org-mobile hides /usr/share/emacs/25.0.90/lisp/org/org-mobile
/home/shosti/.emacs.d/elpa/org-plus-contrib-20160125/ob-sass hides /usr/share/emacs/25.0.90/lisp/org/ob-sass
/home/shosti/.emacs.d/elpa/org-plus-contrib-20160125/org-footnote hides /usr/share/emacs/25.0.90/lisp/org/org-footnote
/home/shosti/.emacs.d/elpa/org-plus-contrib-20160125/ob-exp hides /usr/share/emacs/25.0.90/lisp/org/ob-exp
/home/shosti/.emacs.d/elpa/org-plus-contrib-20160125/ob-sql hides /usr/share/emacs/25.0.90/lisp/org/ob-sql
/home/shosti/.emacs.d/elpa/org-plus-contrib-20160125/ob-haskell hides /usr/share/emacs/25.0.90/lisp/org/ob-haskell
/home/shosti/.emacs.d/elpa/org-plus-contrib-20160125/ox-odt hides /usr/share/emacs/25.0.90/lisp/org/ox-odt
/home/shosti/.emacs.d/elpa/org-plus-contrib-20160125/org-protocol hides /usr/share/emacs/25.0.90/lisp/org/org-protocol
/home/shosti/.emacs.d/elpa/org-plus-contrib-20160125/org-rmail hides /usr/share/emacs/25.0.90/lisp/org/org-rmail
/home/shosti/.emacs.d/elpa/org-plus-contrib-20160125/ob-ocaml hides /usr/share/emacs/25.0.90/lisp/org/ob-ocaml
/home/shosti/.emacs.d/elpa/org-plus-contrib-20160125/ob-scala hides /usr/share/emacs/25.0.90/lisp/org/ob-scala
/home/shosti/.emacs.d/elpa/org-plus-contrib-20160125/ob-org hides /usr/share/emacs/25.0.90/lisp/org/ob-org
/home/shosti/.emacs.d/elpa/org-plus-contrib-20160125/org-w3m hides /usr/share/emacs/25.0.90/lisp/org/org-w3m
/home/shosti/.emacs.d/elpa/org-plus-contrib-20160125/org-id hides /usr/share/emacs/25.0.90/lisp/org/org-id
/home/shosti/.emacs.d/elpa/org-plus-contrib-20160125/ob-fortran hides /usr/share/emacs/25.0.90/lisp/org/ob-fortran
/home/shosti/.emacs.d/elpa/org-plus-contrib-20160125/ob-ledger hides /usr/share/emacs/25.0.90/lisp/org/ob-ledger
/home/shosti/.emacs.d/elpa/org-plus-contrib-20160125/org-agenda hides /usr/share/emacs/25.0.90/lisp/org/org-agenda
/home/shosti/.emacs.d/elpa/org-plus-contrib-20160125/ob-screen hides /usr/share/emacs/25.0.90/lisp/org/ob-screen
/home/shosti/.emacs.d/elpa/org-plus-contrib-20160125/org-table hides /usr/share/emacs/25.0.90/lisp/org/org-table
/home/shosti/.emacs.d/elpa/org-plus-contrib-20160125/ob-js hides /usr/share/emacs/25.0.90/lisp/org/ob-js
/home/shosti/.emacs.d/elpa/org-plus-contrib-20160125/org-list hides /usr/share/emacs/25.0.90/lisp/org/org-list
/home/shosti/.emacs.d/elpa/org-plus-contrib-20160125/org-gnus hides /usr/share/emacs/25.0.90/lisp/org/org-gnus
/home/shosti/.emacs.d/elpa/org-plus-contrib-20160125/org-ctags hides /usr/share/emacs/25.0.90/lisp/org/org-ctags
/home/shosti/.emacs.d/elpa/org-plus-contrib-20160125/org-datetree hides /usr/share/emacs/25.0.90/lisp/org/org-datetree
/home/shosti/.emacs.d/elpa/org-plus-contrib-20160125/org-faces hides /usr/share/emacs/25.0.90/lisp/org/org-faces
/home/shosti/.emacs.d/elpa/org-plus-contrib-20160125/org-version hides /usr/share/emacs/25.0.90/lisp/org/org-version
/home/shosti/.emacs.d/elpa/org-plus-contrib-20160125/org-timer hides /usr/share/emacs/25.0.90/lisp/org/org-timer
/home/shosti/.emacs.d/elpa/org-plus-contrib-20160125/ox-beamer hides /usr/share/emacs/25.0.90/lisp/org/ox-beamer
/home/shosti/.emacs.d/elpa/org-plus-contrib-20160125/org-macro hides /usr/share/emacs/25.0.90/lisp/org/org-macro
/home/shosti/.emacs.d/elpa/org-plus-contrib-20160125/ob-makefile hides /usr/share/emacs/25.0.90/lisp/org/ob-makefile
/home/shosti/.emacs.d/elpa/org-plus-contrib-20160125/ob-sqlite hides /usr/share/emacs/25.0.90/lisp/org/ob-sqlite
/home/shosti/.emacs.d/elpa/org-plus-contrib-20160125/ob-ref hides /usr/share/emacs/25.0.90/lisp/org/ob-ref
/home/shosti/.emacs.d/elpa/org-plus-contrib-20160125/org-colview hides /usr/share/emacs/25.0.90/lisp/org/org-colview
/home/shosti/.emacs.d/elpa/org-plus-contrib-20160125/org-entities hides /usr/share/emacs/25.0.90/lisp/org/org-entities
/home/shosti/.emacs.d/elpa/org-plus-contrib-20160125/ob-scheme hides /usr/share/emacs/25.0.90/lisp/org/ob-scheme
/home/shosti/.emacs.d/elpa/org-plus-contrib-20160125/ob-shen hides /usr/share/emacs/25.0.90/lisp/org/ob-shen
/home/shosti/.emacs.d/elpa/org-plus-contrib-20160125/ob-gnuplot hides /usr/share/emacs/25.0.90/lisp/org/ob-gnuplot
/home/shosti/.emacs.d/elpa/org-plus-contrib-20160125/org-loaddefs hides /usr/share/emacs/25.0.90/lisp/org/org-loaddefs
/home/shosti/.emacs.d/elpa/org-plus-contrib-20160125/ox-md hides /usr/share/emacs/25.0.90/lisp/org/ox-md
/home/shosti/.emacs.d/elpa/org-plus-contrib-20160125/org-inlinetask hides /usr/share/emacs/25.0.90/lisp/org/org-inlinetask
/home/shosti/.emacs.d/elpa/org-plus-contrib-20160125/ob-latex hides /usr/share/emacs/25.0.90/lisp/org/ob-latex
/home/shosti/.emacs.d/elpa/org-plus-contrib-20160125/org-install hides /usr/share/emacs/25.0.90/lisp/org/org-install
/home/shosti/.emacs.d/elpa/org-plus-contrib-20160125/ob-lob hides /usr/share/emacs/25.0.90/lisp/org/ob-lob
/home/shosti/.emacs.d/elpa/emms-20151211.1153/tq hides /usr/share/emacs/25.0.90/lisp/emacs-lisp/tq

Features:
(shadow sort flyspell ispell mail-extr emacsbug message idna format-spec
rfc822 mml mml-sec epg mm-decode mm-bodies mm-encode mailabbrev
gmm-utils mailheader sendmail elisp-slime-nav redshank skeleton
highlight-parentheses evil-paredit easy-mmode company-files
company-oddmuse company-keywords company-etags etags xref project
company-gtags company-dabbrev-code company-dabbrev company-capf
company-cmake company-ropemacs company-xcode company-clang
company-semantic company-eclim company-template company-css company-nxml
company-bbdb git-gutter-fringe fringe-helper git-gutter
idle-highlight-mode whitespace linum projectile-rails rake inflections
inf-ruby ruby-mode smie em-unix em-script em-ls em-hist em-pred em-glob
em-dirs em-basic em-banner em-alias server tomorrow-night-theme
p-yasnippet yasnippet p-xwidgets xwidget image-mode browse-url bookmark
pp p-web-mode p-twitter p-testing p-term p-sql sql-indent sql view p-sml
p-slack json map request url-http tls gnutls url-auth mail-parse rfc2231
rfc2047 rfc2045 ietf-drums url-gw mail-utils url url-proxy url-privacy
url-expand url-methods url-history url-cookie url-domsuf url-util
url-parse auth-source gnus-util time-date mm-util help-fns mail-prsvr
password-cache url-vars mailcap p-shell p-seq p-scala p-ruby rbenv
p-wacspace wacs-init wacs-configuration wacs-util findr p-restclient
p-python p-projectile projectile grep compile ibuf-ext ibuffer
p-programming saveplace p-prodigy prodigy hl-line p-pretty-mode
pretty-mode p-pianobar p-pass p-paredit paredit p-pacman p-octave
p-nginx p-multiple-cursors p-modeline diminish battery time p-markdown
p-linux p-js p-javascript p-impatient-mode p-ido flx-ido flx
ido-ubiquitous cl-seq ido-completing-read+ smex ido p-hydra p-html
p-heroku p-helm p-haskell p-go p-gnus seq p-gist p-fun spotify-autoload
p-flycheck p-feature p-expand-region p-eww p-evil-nerd-commenter
evil-nerd-commenter evil-nerd-commenter-operator p-evil-motions
p-evil-matchit evil-matchit p-ess p-eshell dirtrack em-cmpl em-term term
disp-table ehelp em-prompt pcomplete esh-var esh-io esh-cmd esh-opt
esh-ext esh-proc esh-arg esh-groups eshell esh-module esh-mode esh-util
p-erlang erlang-start p-erc p-jabber p-options warnings p-path p-emoji
emoji-cheat-sheet cl p-emms p-elixir p-editing delsel autorevert
filenotify cap-words superword subword p-git p-edit-server edit-server
p-display p-dired dired-x dired p-discover discover makey p-diff-mode
p-debbugs p-darwin p-css p-company company-statistics company p-comint
comint ansi-color p-coffee p-clojure p-lisp p-cc-mode p-cal p-org
p-bindings p-aurel p-ag p-leader p-evil cus-edit cus-start cus-load
wid-edit evil-surround evil evil-integration evil-maps evil-commands
evil-command-window evil-types evil-search evil-ex evil-macros
evil-repeat evil-states evil-core evil-common windmove thingatpt rect
evil-digraphs evil-vars ring edmacro kmacro undo-tree diff p-key-chord
key-chord p-ace-jump p-functions f dash-functional dash s ucs-normalize
p-packages finder-inf eieio byte-opt bytecomp byte-compile cl-extra
help-mode cconv eieio-core cl-macs gv cl-loaddefs pcase cl-lib
go-mode-autoloads advice info package easymenu epg-config mule-util
tooltip eldoc electric uniquify ediff-hook vc-hooks lisp-float-type
mwheel x-win term/common-win x-dnd tool-bar dnd fontset image regexp-opt
fringe tabulated-list newcomment elisp-mode lisp-mode prog-mode register
page menu-bar rfn-eshadow timer select scroll-bar mouse jit-lock
font-lock syntax facemenu font-core frame cl-generic cham georgian
utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
japanese eucjp-ms cp51932 hebrew greek romanian slovak czech european
ethiopic indian cyrillic chinese charscript case-table epa-hook
jka-cmpr-hook help simple abbrev minibuffer cl-preloaded nadvice
loaddefs button faces cus-face macroexp files text-properties overlay
sha1 md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote dbusbind inotify dynamic-setting
system-font-setting font-render-setting xwidget-internal move-toolbar
gtk x-toolkit x multi-tty make-network-process emacs)

Memory information:
((conses 16 610562 35105)
 (symbols 48 42560 0)
 (miscs 40 102 183)
 (strings 32 140798 20402)
 (string-bytes 1 4680162)
 (vectors 16 84993)
 (vector-slots 8 1807602 50552)
 (floats 8 7958 1539)
 (intervals 56 429 0)
 (buffers 976 14)
 (heap 1024 60228 3257))




Acknowledgement sent to Emanuel Evans <mail@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#22516; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 1 Feb 2016 17:00:03 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.